function makeSphereMovie(M)
% makeSphereMovie  Create a stand-alone animation of transient sphere cooling
%
% Input: M = (optional) MATLAB movie structure containing frames of the animation.
%            If no input is supplied, the data is created by running the oneSphere
%            function
%
% Output:  none.  An MP4 file of the animation is written to the current directory.

if nargin<1
  M = oneSphere(120,false);   %  Create the data for the movie
end

% -- Convert M struct to mp4 or avi file in current directory

v = VideoWriter('sphere_movie2.mp4','MPEG-4');
% v = VideoWriter('sphere_movie3');   %  AVI format
open(v)
writeVideo(v,M)
close(v)

end